# tutorial-framework test

This is an example playground project built via TFW.
It is a good starting point to build your own challenges from and will host automated tests in the future.

It also gives home to several useful scripts in the `hack` folder to speed up development.

## Getting started

TFW consists of 3 repositories:
- `baseimage-tutorial-framework` – Docker baseimage
- `frontend-tutorial-framework` – Angular frontend
- `test-tutorial-framework` (this repo)

See the documentation of each in their `README.md` files.

Getting started with creating challenges using the framework – *setting up a development environment, building, running and such* – is documented here.

To learn the stuff you need to know about TFW in order to get started you should consult the `baseimage-tutorial-framework` repo.

## Setting up a development environment

Just copy and paste the following command in a terminal:

`curl -fsSL https://git.io/vxBfj | bash`

> You have trust issues regarding the public key infrastructure? You can request a checksum authenticated version of the installer command from our team!

This will clone `frontend-tutorial-framework` and this repository, install `npm` dependencies for the frontend and pin the latest release of the framework baseimage as the parent in the `Dockerfile` of `test-tutorial-framework`.

After this, you can run use the `hack/tfw.sh` script to build and run your copy.
